Subject: RE: [Sipping] Do we have a problem with History-Info and tel: URI ?

From: "Elwell, John" <[email-masked]>
Date: Tue, 11 Oct 2005 21:00:32 +0100

Dean,

In History-Info draft the Reason header is not carried as a parameter of a
URI, it is carried as a header, i.e., preceded by "?". According to the
syntax in RFC 3261, a tel: URI would be covered by "absoluteURI", which can
contain a query preceded by "?", so the syntax is very similar. The
History-Info draft talks about the Reason header being "escaped", the
meaning of this presumably being that it is preceded by a "?", although this
is made clear only by example, as far as I can see from a quick search.

So the point I was making about the Reason header and non-sip/sips URIs was
probably incorrect. Concerning my original proposal in the
service-retargeting draft, this involved adding new parameters to a URI.  It
is true that the draft only defines the new parameters as parameters of
sip/sips URI schemes. In fact parameters are allowed in tel: URIs, so I
guess the service-retargeting proposal could be extended so that it works
for tel: URIs as well. It would probably not work for any other URI scheme
(other than sip/sips/tel) unless the scheme has the ability to carry
parameters and we were to define these new parameters for it.

John

> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]] 
> Sent: 11 October 2005 20:16
> To: sipping
> Subject: [Sipping] Do we have a problem with History-Info and 
> tel: URI?
> 
> 
> This item from the thread on retargeting and Reason header 
> usage just  
> caught my eye:
> 
> On Oct 11, 2005, at 10:59 AM, Elwell, John wrote:
> 
> > Paul said:
> >>
> >> One issue with the uri parameter approach is: what if the new
> >> target is
> >> not a sip-uri? It could easily be a tel: uri - there are quite
> >> reasonable use cases for that. It could also potentially 
> be an IM: or
> >> PRES: uri. And in the case of 3xx responses it can be any
> >> kind of URI -
> >> even http. At best the rules for affixing parameters can 
> vary by URI
> >> scheme, and at worst some schemes may not allow it.
> >>
> > URI excepted, this limitation applies also to the Reason header
> > approach, since that relies on the header being placed in a 
> History- 
> > Info
> > header in the retargeted or recursed SIP request. But your point  
> > about the
> > tel: URI is valid.
> 
> 
> I'm thinking that the generalized usage of the History-Info header  
> for telephone services (like some of the TISPAN discussion usage)  
> depends on using tel: URIs in requests.
> 
> But if I read this right, we really can't put the Reason header into  
> a History-Info which uses a tel: URI.
> 
> Do we have a major problem here? Or am I just missing something?
> 
> Thanks,
> 
> --
> Dean 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP